package yem.wm.bd.qrcode.form;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.form.control.Control;

import java.util.EventObject;

/**
 * @Description
 * @Author: zhangh
 * @CreateTime: 2025-02-15  15:43
 */
public class QRCodeFormPlugin extends AbstractBillPlugIn {
    @Override
    public void registerListener(EventObject e) {
        this.addClickListeners(new String[]{"yem_field"});
    }

    @Override
    public void click(EventObject e) {
        String key = ((Control) e.getSource()).getKey();
        switch (key) {
            case "yem_field":
                showFiled();
                break;
        }
    }

    public void showFiled() {
    }
}
